Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::for_each_base_fn Struct Reference

## Description

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result.

Inheritance diagram for ranges::views::for_each_base_fn:

## Public Member Functions
template<typename Rng , typename Fun >
constexpr auto | operator() (Rng &&rng, Fun fun) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , typename Fun >

constexpr auto ranges::views::for_each_base_fn::operator() | ( | Rng && | rng,
|  | Fun | fun
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && transformable_range<Rng, Fun> && joinable_range<transform_view<all_t<Rng>, Fun>>`